Bug 443498 - gstreamer-properties crash with webcam selection
gstreamer-properties crash with webcam selection
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-media (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 16:59 EDT by François Kooman
Modified: 2009-04-27 15:23 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 15:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François Kooman 2008-04-21 16:59:03 EDT
Description of problem:

When I try to select the webcam with gstreamer-properties it sometimes crashes.

Version-Release number of selected component (if applicable):

gnome-media-2.22.0-2.fc9.x86_64

How reproducible:
Sometimes / Always after playing around for a while

Steps to Reproduce:
1. start gstreamer-properties
2. switch to video tab
3. select default input plugin v4l2
4. press test
5. observe after some test cycles it crashes
  
Actual results:

crash

Expected results:

no crash

Additional info:

Backtraces

Starting program: /usr/bin/gstreamer-properties 
[Thread debugging using libthread_db enabled]
[New Thread 0x7fa3b6d617a0 (LWP 5947)]
Detaching after fork from child process 5952.
gstreamer-properties-Message: Skipping unavailable plugin 'artsdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'esdsink'
[New Thread 0x40e92950 (LWP 5953)]
[Thread 0x40e92950 (LWP 5953) exited]
gstreamer-properties-Message: Skipping unavailable plugin 'sdlvideosink'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lmjpegsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'qcamsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'esdmon'
[New Thread 0x40e92950 (LWP 5954)]
[Thread 0x40e92950 (LWP 5954) exited]
[New Thread 0x40e92950 (LWP 5955)]
[New Thread 0x41bf6950 (LWP 5957)]
[New Thread 0x425f7950 (LWP 5959)]
[Thread 0x425f7950 (LWP 5959) exited]
[Thread 0x40e92950 (LWP 5955) exited]
[Thread 0x41bf6950 (LWP 5957) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fa3b6d617a0 (LWP 5947)]
IA__g_datalist_id_get_data (datalist=<value optimized out>, key_id=<value
optimized out>) at gdataset.c:444
444		if (list->id == key_id)
(gdb) bt
#0  IA__g_datalist_id_get_data (datalist=<value optimized out>, key_id=<value
optimized out>) at gdataset.c:444
#1  0x0000003ea0e2684a in gst_object_set_name (object=<value optimized out>,
name=<value optimized out>)
    at gstobject.c:612
#2  0x0000003e8be10ae0 in g_object_constructor (type=<value optimized out>, 
    n_construct_properties=<value optimized out>, construct_params=<value
optimized out>) at gobject.c:697
#3  0x0000003e8be11063 in IA__g_object_newv (object_type=<value optimized out>, 
    n_parameters=<value optimized out>, parameters=<value optimized out>) at
gobject.c:937
#4  0x0000003e8be11bb7 in IA__g_object_new_valist (object_type=<value optimized
out>, 
    first_property_name=<value optimized out>, var_args=<value optimized out>)
at gobject.c:986
#5  0x0000003e8be11cfc in IA__g_object_new (object_type=<value optimized out>, 
    first_property_name=<value optimized out>) at gobject.c:795
#6  0x0000003ea0e40594 in gst_element_factory_create (factory=<value optimized
out>, name=<value optimized out>)
    at gstelementfactory.c:405
#7  0x0000003ea0e40e3f in gst_element_factory_make (factoryname=<value optimized
out>, name=<value optimized out>)
    at gstelementfactory.c:474
#8  0x0000003ea0e88b8f in _gst_parse_yyparse (scanner=<value optimized out>,
graph=<value optimized out>)
    at ./grammar.y:556
#9  0x0000003ea0e89f93 in _gst_parse_launch (str=<value optimized out>,
error=<value optimized out>)
    at ./grammar.y:815
#10 0x00000000004044ed in user_test_pipeline (interface_xml=0x225fb90,
parent=0x2377080, pipeline_desc=0x606360)
    at pipeline-tests.c:154
#11 0x0000000000402d60 in test_button_clicked (button=<value optimized out>,
user_data=0x6064a0)
    at gstreamer-properties.c:116
#12 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#13 0x0000003e8be1f6c1 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#14 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2199
#15 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#16 0x0000003e92a86b33 in IA__gtk_button_clicked (button=Could not find the
frame base for "IA__gtk_button_clicked".
) at gtkbutton.c:889
#17 0x0000003e92a87f4b in gtk_real_button_released (button=Could not find the
frame base for "gtk_real_button_released".
) at gtkbutton.c:1484
#18 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#19 0x0000003e8be1efd6 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#20 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
---Type <return> to continue, or q <return> to quit---
    at gsignal.c:2199
#21 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#22 0x0000003e92a86a9c in IA__gtk_button_released (button=Could not find the
frame base for "IA__gtk_button_released".
) at gtkbutton.c:881
#23 0x0000003e92a87cd2 in gtk_button_button_release (widget=Could not find the
frame base for "gtk_button_button_release".
) at gtkbutton.c:1377
#24 0x0000003e92b87f2a in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find
the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#25 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#26 0x0000003e8be1f392 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2478
#27 0x0000003e8be20a1f in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2209
#28 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#29 0x0000003e92cf4df5 in gtk_widget_event_internal (widget=Could not find the
frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4678
#30 0x0000003e92cf493d in IA__gtk_widget_event (widget=Could not find the frame
base for "IA__gtk_widget_event".
) at gtkwidget.c:4478
#31 0x0000003e92b864c6 in IA__gtk_propagate_event (widget=Could not find the
frame base for "IA__gtk_propagate_event".
) at gtkmain.c:2336
#32 0x0000003e92b850fd in IA__gtk_main_do_event (event=Could not find the frame
base for "IA__gtk_main_do_event".
) at gtkmain.c:1556
#33 0x0000003e90657c29 in gdk_event_dispatch (source=Could not find the frame
base for "gdk_event_dispatch".
) at gdkevents-x11.c:2351
#34 0x0000003e8ba3749b in IA__g_main_context_dispatch (context=<value optimized
out>) at gmain.c:2009
#35 0x0000003e8ba3ac7d in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2642
#36 0x0000003e8ba3b1ad in IA__g_main_loop_run (loop=<value optimized out>) at
gmain.c:2850
#37 0x0000003e92b84888 in IA__gtk_main () at gtkmain.c:1163
#38 0x0000000000404241 in main (argc=1, argv=0x7fffbed96128) at
gstreamer-properties.c:664
(gdb) 






[fkooman@localhost ~]$ gdb gstreamer-properties 
GNU gdb Fedora (6.8-1.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/bin/gstreamer-properties 
[Thread debugging using libthread_db enabled]
[New Thread 0x7f92c38107a0 (LWP 5982)]
Detaching after fork from child process 5985.
gstreamer-properties-Message: Skipping unavailable plugin 'artsdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'esdsink'
[New Thread 0x42017950 (LWP 5986)]
[Thread 0x42017950 (LWP 5986) exited]
gstreamer-properties-Message: Skipping unavailable plugin 'sdlvideosink'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lmjpegsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'qcamsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'esdmon'
[New Thread 0x42017950 (LWP 5987)]
[Thread 0x42017950 (LWP 5987) exited]
[New Thread 0x42017950 (LWP 5992)]
[New Thread 0x40b1d950 (LWP 5994)]
[New Thread 0x42a18950 (LWP 5996)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f92c38107a0 (LWP 5982)]
0x0000003e8be0d7b9 in IA__g_object_ref (_object=<value optimized out>) at
gobject.c:1718
1718	  g_return_val_if_fail (G_IS_OBJECT (object), NULL);
Missing separate debuginfos, use: debuginfo-install esound.x86_64 keyutils.x86_64
(gdb) bt
#0  0x0000003e8be0d7b9 in IA__g_object_ref (_object=<value optimized out>) at
gobject.c:1718
#1  0x0000003e92b8547a in gtk_grab_notify_foreach (child=Could not find the
frame base for "gtk_grab_notify_foreach".
) at gtkmain.c:1671
#2  0x0000003e92b9de3d in gtk_menu_shell_forall (container=Could not find the
frame base for "gtk_menu_shell_forall".
) at gtkmenushell.c:978
#3  0x0000003e92ad09c7 in IA__gtk_container_forall (container=Could not find the
frame base for "IA__gtk_container_forall".
) at gtkcontainer.c:1453
#4  0x0000003e92b85502 in gtk_grab_notify_foreach (child=Could not find the
frame base for "gtk_grab_notify_foreach".
) at gtkmain.c:1677
#5  0x0000003e92a7a8b8 in gtk_bin_forall (container=Could not find the frame
base for "gtk_bin_forall".
) at gtkbin.c:133
#6  0x0000003e92ad09c7 in IA__gtk_container_forall (container=Could not find the
frame base for "IA__gtk_container_forall".
) at gtkcontainer.c:1453
#7  0x0000003e92b85502 in gtk_grab_notify_foreach (child=Could not find the
frame base for "gtk_grab_notify_foreach".
) at gtkmain.c:1677
#8  0x0000003e92b855c5 in gtk_grab_notify (group=Could not find the frame base
for "gtk_grab_notify".
) at gtkmain.c:1713
#9  0x0000003e92b856c4 in IA__gtk_grab_add (widget=Could not find the frame base
for "IA__gtk_grab_add".
) at gtkmain.c:1742
#10 0x0000003e92d0585f in gtk_window_show (widget=Could not find the frame base
for "gtk_window_show".
) at gtkwindow.c:4312
#11 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#12 0x0000003e8be1efd6 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#13 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2199
#14 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#15 0x0000003e92cf1cd0 in IA__gtk_widget_show (widget=Could not find the frame
base for "IA__gtk_widget_show".
) at gtkwidget.c:2943
#16 0x0000003e92d09162 in IA__gtk_window_present_with_time (window=Could not
find the frame base for "IA__gtk_window_present_with_time".
) at gtkwindow.c:6536
#17 0x0000003e92d0904c in IA__gtk_window_present (window=Could not find the
frame base for "IA__gtk_window_present".
) at gtkwindow.c:6488
#18 0x00000000004047f0 in user_test_pipeline (interface_xml=0x1352b90,
parent=0x146a080, pipeline_desc=0x606360)
    at pipeline-tests.c:255
#19 0x0000000000402d60 in test_button_clicked (button=<value optimized out>,
user_data=0x6064a0)
    at gstreamer-properties.c:116
#20 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#21 0x0000003e8be1f6c1 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#22 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2199
#23 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#24 0x0000003e92a86b33 in IA__gtk_button_clicked (button=Could not find the
frame base for "IA__gtk_button_clicked".
) at gtkbutton.c:889
#25 0x0000003e92a87f4b in gtk_real_button_released (button=Could not find the
frame base for "gtk_real_button_released".
) at gtkbutton.c:1484
#26 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    invocation_hint=<value optimized out>) at gclosure.c:490
#27 0x0000003e8be1efd6 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2370
#28 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2199
#29 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#30 0x0000003e92a86a9c in IA__gtk_button_released (button=Could not find the
frame base for "IA__gtk_button_released".
) at gtkbutton.c:881
#31 0x0000003e92a87cd2 in gtk_button_button_release (widget=Could not find the
frame base for "gtk_button_button_release".
) at gtkbutton.c:1377
#32 0x0000003e92b87f2a in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find
the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#33 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#34 0x0000003e8be1f392 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2478
#35 0x0000003e8be20a1f in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2209
#36 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#37 0x0000003e92cf4df5 in gtk_widget_event_internal (widget=Could not find the
frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4678
#38 0x0000003e92cf493d in IA__gtk_widget_event (widget=Could not find the frame
base for "IA__gtk_widget_event".
) at gtkwidget.c:4478
#39 0x0000003e92b864c6 in IA__gtk_propagate_event (widget=Could not find the
frame base for "IA__gtk_propagate_event".
) at gtkmain.c:2336
#40 0x0000003e92b850fd in IA__gtk_main_do_event (event=Could not find the frame
base for "IA__gtk_main_do_event".
) at gtkmain.c:1556
#41 0x0000003e90657c29 in gdk_event_dispatch (source=Could not find the frame
base for "gdk_event_dispatch".
) at gdkevents-x11.c:2351
#42 0x0000003e8ba3749b in IA__g_main_context_dispatch (context=<value optimized
out>) at gmain.c:2009
#43 0x0000003e8ba3ac7d in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2642
#44 0x0000003e8ba3b1ad in IA__g_main_loop_run (loop=<value optimized out>) at
gmain.c:2850
#45 0x0000003e92b84888 in IA__gtk_main () at gtkmain.c:1163
#46 0x0000000000404241 in main (argc=1, argv=0x7fffcb846bd8) at
gstreamer-properties.c:664








[fkooman@localhost ~]$ gdb gstreamer-properties 
GNU gdb Fedora (6.8-1.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/bin/gstreamer-properties 
[Thread debugging using libthread_db enabled]
[New Thread 0x7f9720cf27a0 (LWP 6020)]
Detaching after fork from child process 6023.
gstreamer-properties-Message: Skipping unavailable plugin 'artsdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'esdsink'
[New Thread 0x42800950 (LWP 6024)]
[Thread 0x42800950 (LWP 6024) exited]
gstreamer-properties-Message: Skipping unavailable plugin 'sdlvideosink'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lmjpegsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'qcamsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'esdmon'
[New Thread 0x42800950 (LWP 6025)]
[Thread 0x42800950 (LWP 6025) exited]
[New Thread 0x42800950 (LWP 6027)]
gstreamer-properties-Message: Error running pipeline 'Video for Linux (v4l)':
Could not get/set settings from/on resource. [v4l_calls.c(409):
gst_v4l_set_chan_norm (): /pipeline0/v4lsrc2:
Error setting the channel/norm settings: Invalid argument]
[Thread 0x42800950 (LWP 6027) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7f9720cf27a0 (LWP 6020)]
IA__g_list_length (list=0x1) at glist.c:767
767	      list = list->next;
Missing separate debuginfos, use: debuginfo-install bzip2.x86_64 esound.x86_64
keyutils.x86_64 libcroco.x86_64 libgsf.x86_64 librsvg2.x86_64
(gdb) 
(gdb) bt
#0  IA__g_list_length (list=0x1) at glist.c:767
#1  0x00007f97194894f0 in gst_v4l2_probe_get_values (probe=<value optimized
out>, prop_id=1, pspec=0x1312aa0, 
    klass_devices=0x10a0390) at gstv4l2object.c:172
#2  0x0000000000403368 in update_from_option (editor=0x6064a0,
pipeline_desc=0x606360)
    at gstreamer-properties.c:247
#3  0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#4  0x0000003e8be1f6c1 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2440
#5  0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2199
#6  0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#7  0x0000003e92bb8308 in gtk_option_menu_changed (option_menu=Could not find
the frame base for "gtk_option_menu_changed".
) at gtkoptionmenu.c:705
#8  0x0000003e92bb8693 in gtk_option_menu_update_contents (option_menu=Could not
find the frame base for "gtk_option_menu_update_contents".
) at gtkoptionmenu.c:798
#9  0x0000003e92bb8271 in gtk_option_menu_selection_done (menu_shell=Could not
find the frame base for "gtk_option_menu_selection_done".
) at gtkoptionmenu.c:697
#10 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#11 0x0000003e8be1fbd2 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2510
#12 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2199
#13 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
    detail=<value optimized out>) at gsignal.c:2243
#14 0x0000003e92b9e617 in IA__gtk_menu_shell_activate_item (menu_shell=Could not
find the frame base for "IA__gtk_menu_shell_activate_item".
) at gtkmenushell.c:1154
#15 0x0000003e92b9d381 in gtk_menu_shell_button_release (widget=Could not find
the frame base for "gtk_menu_shell_button_release".
) at gtkmenushell.c:674
#16 0x0000003e92b922ce in gtk_menu_button_release (widget=Could not find the
frame base for "gtk_menu_button_release".
) at gtkmenu.c:2725
#17 0x0000003e92b87f2a in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find
the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#18 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, 
    n_param_values=<value optimized out>, param_values=<value optimized out>, 
    invocation_hint=<value optimized out>) at gclosure.c:490
#19 0x0000003e8be1f392 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, 
    instance=<value optimized out>, emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:2478
#20 0x0000003e8be20a1f in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>,
var_args=<value optimized out>)
    at gsignal.c:2209
#21 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, 
---Type <return> to continue, or q <return> to quit---
    detail=<value optimized out>) at gsignal.c:2243
#22 0x0000003e92cf4df5 in gtk_widget_event_internal (widget=Could not find the
frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4678
#23 0x0000003e92cf493d in IA__gtk_widget_event (widget=Could not find the frame
base for "IA__gtk_widget_event".
) at gtkwidget.c:4478
#24 0x0000003e92b864c6 in IA__gtk_propagate_event (widget=Could not find the
frame base for "IA__gtk_propagate_event".
) at gtkmain.c:2336
#25 0x0000003e92b850fd in IA__gtk_main_do_event (event=Could not find the frame
base for "IA__gtk_main_do_event".
) at gtkmain.c:1556
#26 0x0000003e90657c29 in gdk_event_dispatch (source=Could not find the frame
base for "gdk_event_dispatch".
) at gdkevents-x11.c:2351
#27 0x0000003e8ba3749b in IA__g_main_context_dispatch (context=<value optimized
out>) at gmain.c:2009
#28 0x0000003e8ba3ac7d in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, 
    dispatch=<value optimized out>, self=<value optimized out>) at gmain.c:2642
#29 0x0000003e8ba3b1ad in IA__g_main_loop_run (loop=<value optimized out>) at
gmain.c:2850
#30 0x0000003e92b84888 in IA__gtk_main () at gtkmain.c:1163
#31 0x0000000000404241 in main (argc=1, argv=0x7fff28d270c8) at
gstreamer-properties.c:664
Comment 1 Bastien Nocera 2008-04-24 10:56:19 EDT
Please test with gstreamer-plugins-good-0.10.8-1.fc9
http://koji.fedoraproject.org/koji/buildinfo?buildID=47081
Comment 2 François Kooman 2008-04-24 13:29:41 EDT
I get all kinds of segfaults again, basically just like before. Here I'll show
another bt. I've removed all livna rpms from my system, deleted the gstreamer
directory and tried it again...

[fkooman@localhost ~]$ rpm -aq | grep lvn
[fkooman@localhost ~]$ rm -rf ~/.gstreamer-0.10/
[fkooman@localhost ~]$ gdb gstreamer-properties
GNU gdb Fedora (6.8-1.fc9)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...
(gdb) r
Starting program: /usr/bin/gstreamer-properties 
[Thread debugging using libthread_db enabled]
[New Thread 0x7fcd4a29e7a0 (LWP 4540)]
Detaching after fork from child process 4547.
gstreamer-properties-Message: Skipping unavailable plugin 'artsdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'esdsink'
[New Thread 0x411e0950 (LWP 4548)]
[Thread 0x411e0950 (LWP 4548) exited]
gstreamer-properties-Message: Skipping unavailable plugin 'sdlvideosink'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lmjpegsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'qcamsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'esdmon'
[New Thread 0x411e0950 (LWP 4549)]
[Thread 0x411e0950 (LWP 4549) exited]
[New Thread 0x411e0950 (LWP 4550)]
[New Thread 0x41be1950 (LWP 4552)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fcd4a29e7a0 (LWP 4540)]
IA__g_hash_table_lookup (hash_table=<value optimized out>, key=<value optimized
out>) at ghash.c:137
137	          if (node->key_hash == hash_value &&
Missing separate debuginfos, use: debuginfo-install esound.x86_64 keyutils.x86_64
(gdb) bt
#0  IA__g_hash_table_lookup (hash_table=<value optimized out>, key=<value
optimized out>) at ghash.c:137
#1  0x0000003e8ba222ac in IA__g_quark_from_string (string=<value optimized out>)
at gdataset.c:625
#2  0x0000003ea0e64f2d in gst_structure_set_valist (structure=<value optimized
out>, fieldname=<value optimized out>, varargs=<value optimized out>) at
gststructure.c:517
#3  0x0000003ea0e66939 in gst_structure_new_valist (name=<value optimized out>,
firstfield=<value optimized out>, varargs=<value optimized out>) at
gststructure.c:242
#4  0x0000003ea0e669fd in gst_structure_new (name=<value optimized out>,
firstfield=<value optimized out>) at gststructure.c:210
#5  0x0000003ea0e4c5eb in gst_message_new_state_changed (src=<value optimized
out>, oldstate=<value optimized out>, newstate=<value optimized out>, 
    pending=<value optimized out>) at gstmessage.c:487
#6  0x0000003ea0e3b58e in gst_element_continue_state (element=<value optimized
out>, ret=<value optimized out>) at gstelement.c:2162
#7  0x0000003ea0e3b983 in gst_element_change_state (element=<value optimized
out>, transition=<value optimized out>) at gstelement.c:2469
#8  0x0000003ea0e3e35e in gst_element_set_state_func (element=<value optimized
out>, state=<value optimized out>) at gstelement.c:2375
#9  0x0000003ea0e2d678 in gst_bin_change_state_func (element=<value optimized
out>, transition=<value optimized out>) at gstbin.c:1933
#10 0x0000003ea0e5a1dd in gst_pipeline_change_state (element=<value optimized
out>, transition=<value optimized out>) at gstpipeline.c:463
#11 0x0000003ea0e3b6ac in gst_element_change_state (element=<value optimized
out>, transition=<value optimized out>) at gstelement.c:2425
#12 0x0000003ea0e3b87b in gst_element_change_state (element=<value optimized
out>, transition=<value optimized out>) at gstelement.c:2462
#13 0x0000003ea0e3e35e in gst_element_set_state_func (element=<value optimized
out>, state=<value optimized out>) at gstelement.c:2375
#14 0x0000000000404691 in user_test_pipeline (interface_xml=0x18cbad0,
parent=0x19d3000, pipeline_desc=0x606360) at pipeline-tests.c:230
#15 0x0000000000402d60 in test_button_clicked (button=<value optimized out>,
user_data=0x6064a0) at gstreamer-properties.c:116
#16 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
at gclosure.c:490
#17 0x0000003e8be1f6c1 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>) at gsignal.c:2440
#18 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized
out>, signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#19 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:2243
#20 0x0000003396a86b33 in IA__gtk_button_clicked (button=Could not find the
frame base for "IA__gtk_button_clicked".
) at gtkbutton.c:889
#21 0x0000003396a87f4b in gtk_real_button_released (button=Could not find the
frame base for "gtk_real_button_released".
) at gtkbutton.c:1484
#22 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
at gclosure.c:490
#23 0x0000003e8be1efd6 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>) at gsignal.c:2370
#24 0x0000003e8be20b9c in IA__g_signal_emit_valist (instance=<value optimized
out>, signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
#25 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:2243
#26 0x0000003396a86a9c in IA__gtk_button_released (button=Could not find the
frame base for "IA__gtk_button_released".
) at gtkbutton.c:881
#27 0x0000003396a87cd2 in gtk_button_button_release (widget=Could not find the
frame base for "gtk_button_button_release".
) at gtkbutton.c:1377
#28 0x0000003396b87f2a in _gtk_marshal_BOOLEAN__BOXED (closure=Could not find
the frame base for "_gtk_marshal_BOOLEAN__BOXED".
) at gtkmarshalers.c:84
#29 0x0000003e8be0b6dd in IA__g_closure_invoke (closure=<value optimized out>,
return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
at gclosure.c:490
#30 0x0000003e8be1f392 in signal_emit_unlocked_R (node=<value optimized out>,
detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>) at gsignal.c:2478
#31 0x0000003e8be20a1f in IA__g_signal_emit_valist (instance=<value optimized
out>, signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2209
#32 0x0000003e8be210e3 in IA__g_signal_emit (instance=<value optimized out>,
signal_id=<value optimized out>, detail=<value optimized out>) at gsignal.c:2243
#33 0x0000003396cf4df5 in gtk_widget_event_internal (widget=Could not find the
frame base for "gtk_widget_event_internal".
) at gtkwidget.c:4678
---Type <return> to continue, or q <return> to quit---
#34 0x0000003396cf493d in IA__gtk_widget_event (widget=Could not find the frame
base for "IA__gtk_widget_event".
) at gtkwidget.c:4478
#35 0x0000003396b864c6 in IA__gtk_propagate_event (widget=Could not find the
frame base for "IA__gtk_propagate_event".
) at gtkmain.c:2336
#36 0x0000003396b850fd in IA__gtk_main_do_event (event=Could not find the frame
base for "IA__gtk_main_do_event".
) at gtkmain.c:1556
#37 0x0000003395657c29 in gdk_event_dispatch (source=Could not find the frame
base for "gdk_event_dispatch".
) at gdkevents-x11.c:2351
#38 0x0000003e8ba3749b in IA__g_main_context_dispatch (context=<value optimized
out>) at gmain.c:2009
#39 0x0000003e8ba3ac7d in g_main_context_iterate (context=<value optimized out>,
block=<value optimized out>, dispatch=<value optimized out>, self=<value
optimized out>)
    at gmain.c:2642
#40 0x0000003e8ba3b1ad in IA__g_main_loop_run (loop=<value optimized out>) at
gmain.c:2850
#41 0x0000003396b84888 in IA__gtk_main () at gtkmain.c:1163
#42 0x0000000000404241 in main (argc=1, argv=0x7fff522d2668) at
gstreamer-properties.c:664
Comment 3 Bug Zapper 2008-05-14 05:53:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bastien Nocera 2009-04-27 12:00:46 EDT
I'm not sure what you mean by "after a few cycles", but the backtraces are completely different, so I'm thinking this is probably a memory corruption issue, because gstreamer-properties doesn't exit straight away.

Best bet to catch the problem would be running it under valgrind. It would be nice if you could also test with a newer distribution, as we're unlikely to fix a bug like this (which doesn't happen in a front-end application, gstreamer-properties isn't available in the menus anymore).
Comment 5 François Kooman 2009-04-27 13:58:48 EDT
by "after a few cycles" I meant that if you do it a few times...

I returned the laptop with the web cam, so I can't test this anymore unfortunately. You might as well close it. Thanks anyway!
Comment 6 Bastien Nocera 2009-04-27 15:23:05 EDT
Sorry about that. For what it's worth, it probably works better in more recent versions of the distribution, we didn't get many complaints :)

Note You need to log in before you can comment on or make changes to this bug.